com.h3c.util.snmp

## Enum SnmpResponse.ErrorType

- java.lang.Object
- - java.lang.Enum<SnmpResponse.ErrorType>
  - - com.h3c.util.snmp.SnmpResponse.ErrorType

- All Implemented Interfaces:
    Serializable, Comparable<SnmpResponse.ErrorType>
  Enclosing class:
    SnmpResponse

      public static enum SnmpResponse.ErrorType
      extends Enum<SnmpResponse.ErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RESPONSE_AUTHORIZATION_ERROR`
    `RESPONSE_DECRYPTION_ERROR`
    `RESPONSE_INVALID_VB_COUNT_ERROR`
    `RESPONSE_OK`
    `RESPONSE_PDU_ERROR`
    `RESPONSE_PDU_VARBIND_ERROR`
    `RESPONSE_USM_ERROR`
    `RESPONSE_WALK_RESPONSE_ERROR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnmpResponse.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnmpResponse.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESPONSE_OK

          public static final SnmpResponse.ErrorType RESPONSE_OK

    - #### RESPONSE_PDU_ERROR

          public static final SnmpResponse.ErrorType RESPONSE_PDU_ERROR

    - #### RESPONSE_PDU_VARBIND_ERROR

          public static final SnmpResponse.ErrorType RESPONSE_PDU_VARBIND_ERROR

    - #### RESPONSE_USM_ERROR

          public static final SnmpResponse.ErrorType RESPONSE_USM_ERROR

    - #### RESPONSE_WALK_RESPONSE_ERROR

          public static final SnmpResponse.ErrorType RESPONSE_WALK_RESPONSE_ERROR

    - #### RESPONSE_INVALID_VB_COUNT_ERROR

          public static final SnmpResponse.ErrorType RESPONSE_INVALID_VB_COUNT_ERROR

    - #### RESPONSE_DECRYPTION_ERROR

          public static final SnmpResponse.ErrorType RESPONSE_DECRYPTION_ERROR

    - #### RESPONSE_AUTHORIZATION_ERROR

          public static final SnmpResponse.ErrorType RESPONSE_AUTHORIZATION_ERROR

  - ### Method Detail

    - #### values

          public static SnmpResponse.ErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnmpResponse.ErrorType c : SnmpResponse.ErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnmpResponse.ErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.